Open SCAP Library

Data Structures | Typedefs | Functions
oval_stateContent.c File Reference

Open Vulnerability and Assessment Language. More...

`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include "oval_definitions_impl.h"`
`#include "adt/oval_collection_impl.h"`
`#include "oval_agent_api_impl.h"`
`#include "common/util.h"`
`#include "common/debug_priv.h"`
`#include "oval_schema_version.h"`

## Data Structures
struct | oval_state_content
| An Oval_state_content instance specifies an oval_state field. More...

## Typedefs
typedef struct oval_state_content | oval_state_content_t

## Functions
bool | oval_state_content_iterator_has_more (struct oval_state_content_iterator *oc_state_content)
struct oval_state_content * | oval_state_content_iterator_next (struct oval_state_content_iterator *oc_state_content)
void | oval_state_content_iterator_free (struct oval_state_content_iterator *oc_state_content)
struct oval_entity * | oval_state_content_get_entity (struct oval_state_content *content)
struct oval_record_field_iterator * | oval_state_content_get_record_fields (struct oval_state_content *content)
oval_check_t | oval_state_content_get_var_check (struct oval_state_content *content)
oval_check_t | oval_state_content_get_ent_check (struct oval_state_content *content)
oval_existence_t | oval_state_content_get_check_existence (struct oval_state_content *content)
struct oval_state_content * | oval_state_content_new (struct oval_definition_model *model)
struct oval_state_content * | oval_state_content_clone (struct oval_definition_model *new_model, struct oval_state_content *old_content)
void | oval_state_content_free (struct oval_state_content *content)
void | oval_state_content_set_entity (struct oval_state_content *content, struct oval_entity *entity)
void | oval_state_content_add_record_field (struct oval_state_content *content, struct oval_record_field *rf)
void | oval_state_content_set_varcheck (struct oval_state_content *content, oval_check_t check)
void | oval_state_content_set_entcheck (struct oval_state_content *content, oval_check_t check)
void | oval_state_content_set_check_existence (struct oval_state_content *content, oval_existence_t existence)
int | oval_state_content_parse_tag (xmlTextReaderPtr reader, struct oval_parser_context *context, oscap_consumer_func consumer, void *user)
xmlNode * | oval_state_content_to_dom (struct oval_state_content *content, xmlDoc *doc, xmlNode *parent)

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/